import { Completion, CompletionContext } from '@codemirror/autocomplete';
export interface CompletionConfig {
    lokiUrl: string;
    cacheDuration: number;
    fetchOptions?: RequestInit;
}
export declare const STATIC_COMPLETIONS: Completion[];
export declare function createLogQLCompletionSource(config: CompletionConfig): (context: CompletionContext) => Promise<{
    from: number;
    options: {
        label: string;
        type: string;
        info: string;
    }[];
} | {
    from: number;
    options: Completion[];
}>;
