export declare const labelCache: Map<string, {
    timestamp: number;
    data: string[];
}>;
export declare const valueCache: Map<string, Map<string, {
    timestamp: number;
    data: string[];
}>>;
export declare function clearCache(): void;
export declare function clearLabelCache(url?: string): void;
export declare function clearValueCache(url?: string, label?: string): void;
export declare function fetchLabels(lokiUrl: string, fetchOptions?: RequestInit, cacheDuration?: number): Promise<string[]>;
export declare function fetchLabelValues(lokiUrl: string, label: string, fetchOptions?: RequestInit, cacheDuration?: number): Promise<string[]>;
