import { LRLanguage } from '@codemirror/language';
import { Extension } from '@codemirror/state';
import { STATIC_COMPLETIONS } from './completion';
import { clearCache, clearLabelCache, clearValueCache } from './utils';
export declare const logqlSyntax: LRLanguage;
export interface LogQLExtensionConfig {
    lokiUrl: string;
    enableCompletion?: boolean;
    cacheDuration?: number;
    fetchOptions?: RequestInit;
}
export declare function logqlExtension(config: LogQLExtensionConfig): Extension;
export { STATIC_COMPLETIONS, clearCache, clearLabelCache, clearValueCache };
export default logqlExtension;
